RadioLib Universal wireless communication library for Arduino

Public Member Functions | Friends | List of all members
AFSKClient Class Reference

Client for audio-based transmissions. Requires Arduino tone() function, and a module capable of direct mode transmission using DIO pins. More...

`#include <AFSK.h>`

Inheritance diagram for AFSKClient:

## Public Member Functions
| AFSKClient (PhysicalLayer *phy, uint32_t pin)
| Default contructor. More...
| AFSKClient (AFSKClient *aud)
| Copy contructor. More...
int16_t | begin ()
| Initialization method. More...
int16_t | tone (uint16_t freq, bool autoStart=true)
| Start transmitting audio tone. More...
int16_t | noTone (bool keepOn=false)
| Stops transmitting audio tone. More...

## Friends
class | RTTYClient
class | MorseClient
class | HellClient
class | SSTVClient
class | AX25Client
class | FSK4Client
class | BellClient

## Detailed Description

Client for audio-based transmissions. Requires Arduino tone() function, and a module capable of direct mode transmission using DIO pins.

## Constructor & Destructor Documentation

## ◆ AFSKClient() [1/2]

AFSKClient::AFSKClient | ( | PhysicalLayer * | phy,
|  | uint32_t | pin
| ) |  |

Default contructor.

Parameters

  phy | Pointer to the wireless module providing PhysicalLayer communication.
  pin | The pin that will be used for audio output.

## ◆ AFSKClient() [2/2]

AFSKClient::AFSKClient | ( | AFSKClient * | aud | ) |

Copy contructor.

Parameters

  aud | Pointer to the AFSKClient instance to copy.

## Member Function Documentation

## ◆ begin()

int16_t AFSKClient::begin | ( |  | ) |

Initialization method.

Returns
  Status Codes

## ◆ noTone()

int16_t AFSKClient::noTone | ( | bool | keepOn = `false` | ) |

Stops transmitting audio tone.

Parameters

  keepOn | Keep transmitter on - this may limit noise when switching transmitter on or off.

Returns
  Status Codes

## ◆ tone()

int16_t AFSKClient::tone | ( | uint16_t | freq,
|  | bool | autoStart = `true`
| ) |  |

Start transmitting audio tone.

Parameters

  freq | Frequency of the tone in Hz.
  autoStart | Whether to automatically enter transmission mode. Defaults to true.

Returns
  Status Codes

The documentation for this class was generated from the following files:

- src/protocols/AFSK/AFSK.h
- src/protocols/AFSK/AFSK.cpp